<?xml version="1.0" encoding="UTF-8"?>
<beans 	
		xmlns="http://www.springframework.org/schema/beans"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xsi:schemaLocation="
		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">


	<bean id="tfrTemplateCreatable" class="gov.va.med.tfs.persistence.hibernate.CreatableHibernateTemplatePersistenceManager">
		<property name="sessionFactory" ref="tfrSessionFactory"/>
	</bean>


	<bean id="tfrFilterCreatable" class="gov.va.med.tfs.persistence.hibernate.CreatableHibernateFilterPersistenceManager">
		<property name="sessionFactory" ref="tfrSessionFactory"/>
	</bean>


	<bean id="tfrReadable" class="gov.va.med.tfs.persistence.hibernate.ReadableHibernatePersistenceManager">
		<property name="sessionFactory" ref="tfrSessionFactory"/>
	</bean>
	
	<bean id="tfrDeletable" class="gov.va.med.tfs.persistence.hibernate.DeletableHibernatePersistenceManager">
		<property name="sessionFactory" ref="tfrSessionFactory"/>
	</bean>
	

	<bean id="tfrSessionFactory" class="org.springframework.orm.hibernate4.LocalSessionFactoryBean">
		<property name="dataSource" ref="tfrDataSource" />
		<property name="mappingResources">
			<list>
				<!-- component mapping files -->

				<value>gov/va/med/tfs/persistence/hibernate/TemplateSchema.hbm.xml</value>
				<value>gov/va/med/tfs/persistence/hibernate/FilterSchema.hbm.xml</value>
				<value>gov/va/med/tfs/persistence/hibernate/EntryFilter.hbm.xml</value>
				<value>gov/va/med/tfs/persistence/hibernate/DomainEntryPoint.hbm.xml</value>
				<value>gov/va/med/tfs/persistence/hibernate/VhimVersion.hbm.xml</value>
				
				
				<!-- 
				<value>gov/va/med/tfs/persistence/hibernate/VhimVersion.hbm.xml</value>
 				-->

			</list>
		</property>
		<property name="hibernateProperties">
			<props>
				<prop key="hibernate.dialect">org.hibernate.dialect.Oracle10gDialect</prop>
				<prop key="hibernate.show_sql">false</prop>
			</props>
		</property>
	</bean>

</beans>
